<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
  <div class="container">
    <h2  style="font-size:30px ; color:hsl(45, 14%, 5%);">ProductApp</h2>
          <div class="d-flex">
              <button class="btn btn-light ms-3 fs-5" routerLink="/productAdd">Add Product</button>
              <button class="btn btn-light ms-3 fs-5" routerLink="/logout">Logout</button>
          </div>
  </div>
</nav>
<div class="card-layout" >
    <div class="card" style="width: 18rem;" *ngFor="let product of products">
        <div  class="img-layout">
          <img src={{product.imgPath}} class="card-img-top " alt="...">
        </div>
        <div class="card-body"  >
            <h5 class="card-text fs-4">Product Details</h5>
            <h5 class="card-text fs-5">Name:- {{product.name}}</h5>
            <h5 class="card-text fs-5">Description:- {{product.description}}</h5>
            <h5 class="card-text fs-5">Price:- {{product.price}}</h5>
            <a  routerLink="/productDelete/{{product.id}}" class="btn btn-primary btn-space" >Delete</a>
            <a href="" routerLink="/productUpdate/{{product.id}}" class="btn btn-primary">Update</a>
        </div>
    </div>
  </div>